> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/batch/overview/error-handling.md).

# Error handling

### Retrieving a record that does not exist

Request

```json
{
    "method": "GET",
    "records": {
        "1": [
            {
                "id":999999
            }
        ]
    }
}
```

Response

```json
{
    "batchId": 130625454,
    "batchStatus": "Complete",
    "batchResults": {
        "records": {
            "1": [
                {
                    "code": 404,
                    "message": "Record Not Found.",
                    "id": 999999
                }
            ]
        },
        "relationships": []
    }
}
```

### Executing a workflow action that is not available from the current status

Request

```json
{
    "method": "EXECUTE-WORKFLOW",
    "records": {
        "1": [
            {
                "id": 5,
                "actionId":95
            }
        ]
    }
}
```

Response

```json
{
    "batchId": 130625457,
    "batchStatus": "Complete",
    "batchResults": {
        "records": {
            "1": [
                {
                    "code": 403,
                    "message": "Action 95 not available to be taken from status 16",
                    "id": 5
                }
            ]
        },
        "relationships": []
    }
}
```

### Creating a relationship where one of the records does not exist

Request

```json
{
    "method": "POST",
    "records": {
    },
    "relationships":[
        {
            "parentCharTypeId": 4,
            "parentRecordId": 4958,
            "childCharTypeId": 1,
            "childRecordId": 9999999
        }
    ]
}
```

Response

```json
{
    "batchId": 123592183,
    "batchStatus": "Complete",
    "batchResults": {
        "records": {
            "1": [
                {
                    "code": 404,
                    "message": "Record Not Found.",
                    "id": 9999999
                }
            ]
        },
        "relationships": []
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/batch/overview/error-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
